Package org.apache.torque.templates.transformer.om

# Enum Class ForeignKeyAttributeName

java.lang.Object
java.lang.Enum<ForeignKeyAttributeName>
org.apache.torque.templates.transformer.om.ForeignKeyAttributeName

All Implemented Interfaces:
  `Serializable`, `Comparable<ForeignKeyAttributeName>`, `Constable`, `SourceAttributeName`

public enum ForeignKeyAttributeName extends Enum<ForeignKeyAttributeName> implements SourceAttributeName
Contains the attribute names of the foreign-key source element which are not defined in the Torque schema. These attributes might be created in the transformation.

Version:
  $Id: ForeignKeyAttributeName.java 1917240 2024-04-21 13:22:54Z tv $

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `FOREIGN_KEY_GETTER`
  The name of the getter method for the foreign key object.
  `REFERENCES_PRIMARY_KEY`
  The name of the attribute containing the information whether the foreign key references the primary key of the foreign table.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getName()`
  Returns the name of the referenced source element.
  `String`
  `toString()`
  `static ForeignKeyAttributeName`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ForeignKeyAttributeName[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### FOREIGN_KEY_GETTER

    public static final ForeignKeyAttributeName FOREIGN_KEY_GETTER
    The name of the getter method for the foreign key object.

  - ### REFERENCES_PRIMARY_KEY

    public static final ForeignKeyAttributeName REFERENCES_PRIMARY_KEY
    The name of the attribute containing the information whether the foreign key references the primary key of the foreign table.

- ## Method Details

  - ### values

    public static ForeignKeyAttributeName[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ForeignKeyAttributeName valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getName

    public String getName()
    Returns the name of the referenced source element.
    Specified by:
      `getName` in interface `SourceAttributeName`
    Returns:
      the name of the referenced source element.

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Enum<ForeignKeyAttributeName>`